Package Details: kipi-plugins-git r11423.19e32a9-1

Git Clone URL: https://aur.archlinux.org/kipi-plugins-git.git (read-only)
Package Base: kipi-plugins-git
Description: A collection of plugins extending the KDE graphics and image applications as digiKam
Upstream URL: http://www.kipi-plugins.org/
Licenses: GPL, LGPL, FDL
Groups: digikamsc-git
Conflicts: kipi-plugins
Provides: kipi-plugins
Submitter: flamelab
Maintainer: Sevenseven
Last Packager: Sevenseven
Votes: 19
Popularity: 0.012567
First Submitted: 2011-02-06 11:08
Last Updated: 2016-01-10 10:48

Dependencies (22)

Required by (2)

Sources (1)

Latest Comments

desaparecido commented on 2016-02-09 21:33

hi, I'm using the workaround used in repos package and is only adding this line in cmake in PKGBUILD

-DCMAKE_C_COMPILER=clang # Fix error: C++ style comments are not allowed in ISO C90

is easier, and off course, you need to have "clang" to successfully build

jat255 commented on 2016-02-08 22:31

To get this to work, I had to recompile flex, like suggested by @Sevenseven.

To do that, I made a new directory (~/builds/flex) and put the following files in it:
PKGBUILD: http://paste.pound-python.org/show/lSHrvjtnrQrPOk3w78xA/
flex.install: http://paste.pound-python.org/show/gk1gJphVEtKmFniBvJPE/
flex.skl.patch: http://paste.pound-python.org/show/UbqniNWZJTn3xYwStgWo/

From that directory (with the three files), run `makepkg`, wait for it to finish, then install the package with `pacman -U flex-2.6.0-2-x86_64.pkg.tar.xz`

Doing this allowed me to install the kipi-plugins with no problem.

Sevenseven commented on 2016-02-05 08:22

@lexikon
Take pkgbuild and patch from pastebin(link bellow), put them in same dir and run makepkg.

lexikon commented on 2016-02-04 20:49

@Sevenseven
Sorry for my eng, but can you explain how rebuild flex.
I tried command 'yaourt -Sb flex'
but get error
-----
curl: (22) The requested URL returned error: 404 Not Found
-----

Sevenseven commented on 2016-02-04 11:07

@lexikon
Rebuild flex: http://pastebin.com/dpjPiWcf

lexikon commented on 2016-02-04 10:47

@Sevenseven
-------
From your url I found patch and I see
- num_to_alloc = 1; // After all that talk, this was set to 1 anyways...
+ num_to_alloc = 1; /* After all that talk, this was set to 1 anyways... */
-------
How I can compile kipi plugins without error? I tried to modify the files in the /tmp directory but after restarting the installation, all files are deleted and downloaded again

Sevenseven commented on 2016-01-30 11:27

@lexikon
It`s not a kipi problem https://crux.nu/bugs/index.php?do=details&task_id=1284

lexikon commented on 2016-01-28 20:42

Please fix this

[ 80%] Building C object panorama/CMakeFiles/libpanorama.dir/panoScanner.c.o
/tmp/yaourt-tmp-roman/aur-kipi-plugins-git/src/build/panorama/panoScanner.c: В функции «yyensure_buffer_stack»:
/tmp/yaourt-tmp-roman/aur-kipi-plugins-git/src/build/panorama/panoScanner.c:1920:21: ошибка: комментарии в стиле C++ не разрешены в ISO C90
num_to_alloc = 1; // After all that talk, this was set to 1 anyways...

Comment "// After ..." not allowed
C++ style comments are not allowed in ISO C90

lexikon commented on 2016-01-28 19:45

I found a little trouble with imgur export...Request autorization not work properly

========== KQOAuthRequest has the following base string:
"POST&https%3A%2F%2Fapi.imgur.com%2Foauth%2Frequest_token&oauth_callback%3Dhttp%253A%252F%252Flocalhost%253A48412%26oauth_consumer_key%3D9ad9d48124b7137d9cc9e0397219f52004fcba12a%26oauth_nonce%3D1419787434%26oauth_signature_method%3DHMAC-SHA1%26oauth_timestamp%3D1454009916%26oauth_version%3D1.0"

========== KQOAuthRequest has the following signature:
* Signature : "XomdyJ%2BGQfEFJzTTNy58mivNHfI%3D"

("Authorization", "Content-Type")
"OAuth oauth_callback=\"http%3A%2F%2Flocalhost%3A48412\", oauth_signature_method=\"HMAC-SHA1\", oauth_consumer_key=\"9ad9d48124b7137d9cc9e0397219f52004fcba12a\", oauth_version=\"1.0\", oauth_timestamp=\"1454009916\", oauth_nonce=\"1419787434\", oauth_signature=\"XomdyJ%2BGQfEFJzTTNy58mivNHfI%3D\""
"application/x-www-form-urlencoded"


My screenshot is not exported to imgur

sl1pkn07 commented on 2016-01-05 17:16

Hi

i drop the Qt4 support for kqoauth and change the name of the packages (kqoauth-git is now only Qt5 version), please update the dependencies

greetings

All comments